Subject: bug#14147: 24.3.50; turn on `minibuffer-depth-indicator-mode' by default

From: Drew Adams <[email-masked]>
Date: Fri, 29 Apr 2016 09:46:45 -0700 (PDT)

> > It is unfortunate that this minor mode is still not turned on by
> > default.  There is no reason not to do so.  The mode has no effect when
> > there is no recursive minibuffer, which is most of the time.
> 
> I guess there's little point in having a global mode switched on when
> virtually no users will be using it.

Why the presumption that "no users will be using it"?

> Having it on would mean Emacs should be dumped with mb-depth.el,
> and I don't see that happening.

IOW, you don't want it on by default.

> However, I think everybody who uses `enable-recursive-minibuffers' would
> probably prefer that it's on.  I've now mentioned this mode in the doc
> string of the latter.
> 
> Closing.

It's not about users who have _customized_
`enable-recursive-minibuffers' to non-nil.

I imagine that few, if any, users do that.  But some commands do
BIND that var to non-nil to allow prompting for something else
during use of the minibuffer.

As the bug report said:

  This is no different from Emacs automatically adding nested
  `[...]' to the mode line to indicate recursive editing levels.

  No one would suggest that that indicator be turned off by default
  and that users be forced to learn about it on their own and turn
  it on.  The same should be the case for indicating recursive
  minibuffer levels.  Should be a no-brainer.

Perhaps you would argue that, because "no users will be using"
recursive edits, Emacs should stop automatically adding `[...]'
to the mode line to indicate recursive editing levels?  Make
users request that feature explicitly, perhaps by loading a
library?